• Problems with Gparted


    Hi,

    I can’t open the gparted icon at the menu, only as root in the terminal, i was following some advices, from the spanish forum, with not result …

    gparted_polkit

    [[email protected] ~]$ gparted_polkit
    Error executing command as another user: No authentication agent found.
    [[email protected] ~]$

    sudo pacman -S polkit-gnome

    Nothing happened … and this:

    cp /usr/share/applications/polkit-gnome-authentication-agent-1.desktop /etc/xdg/autostart/
    mkdir -p ~/.config/autostart
    cp /etc/xdg/autostart/polkit-gnome-authentication-agent-1.desktop ~/.config/autostart

    /usr/lib/polkit-gnome/polkit-gnome-authentication-agent-1 &
    gparted_polkit

    [[email protected] ~]$ /usr/lib/polkit-gnome/polkit-gnome-authentication-agent-1 &
    [1] 687
    [[email protected] ~]$ gparted_polkit
    (polkit-gnome-authentication-agent-1:687): Gtk-WARNING **: Theme parsing error: gtk.css:72:18: Not using units is deprecated. Assuming ‘px’.

    (polkit-gnome-authentication-agent-1:687): Gtk-WARNING **: Theme parsing error: gtk.css:72:20: Not using units is deprecated. Assuming ‘px’.

    [[email protected] ~]$ gparted_polkit
    Error executing command as another user: No authentication agent found.
    [[email protected] ~]$

    Thanks for any help.

  • Hi,

    I can’t open the gparted icon at the menu, only as root in the terminal, i was following some advices, from the spanish forum, with not result …

    gparted_polkit

    [[email protected] ~]$ gparted_polkit
    Error executing command as another user: No authentication agent found.
    [[email protected] ~]$

    sudo pacman -S polkit-gnome

    Nothing happened … and this:

    cp /usr/share/applications/polkit-gnome-authentication-agent-1.desktop /etc/xdg/autostart/
    mkdir -p ~/.config/autostart
    cp /etc/xdg/autostart/polkit-gnome-authentication-agent-1.desktop ~/.config/autostart

    /usr/lib/polkit-gnome/polkit-gnome-authentication-agent-1 &
    gparted_polkit

    [[email protected] ~]$ /usr/lib/polkit-gnome/polkit-gnome-authentication-agent-1 &
    [1] 687
    [[email protected] ~]$ gparted_polkit
    (polkit-gnome-authentication-agent-1:687): Gtk-WARNING **: Theme parsing error: gtk.css:72:18: Not using units is deprecated. Assuming ‘px’.

    (polkit-gnome-authentication-agent-1:687): Gtk-WARNING **: Theme parsing error: gtk.css:72:20: Not using units is deprecated. Assuming ‘px’.

    [[email protected] ~]$ gparted_polkit
    Error executing command as another user: No authentication agent found.
    [[email protected] ~]$

    Thanks for any help.

  • Hi,

    It was me who tried to help to no avail. I think he hasn’t got any authentication agent to make gparted work as a normal user. He is using XFCE, so I recommended to install a polkit authentication agent, but even after running it gparted still complains.

    Any hints?

  • Hi,

    Try this:[command:20cnjj4l]su
    pacman -Syyu
    pacman -S gnome-keyring[/command:20cnjj4l]Next, enable “Launch GNOME services on startup” in the Advanced tab of Session Manager (in Xfce’s settings). Finally, reboot your system. Let us know the result.

    Cheers!

  • Sorry but my antergos is in spanish and i’m not abel to find anything not even close to ‘Advanced tab of Session Manager’.

    Thanks

    [[email protected] ~]$ su
    Password:
    [[email protected] keos]# pacman -Syyu
    :: Synchronizing package databases…
    core 121.6 KiB 414K/s 00:00 [######################] 100%
    extra 1809.1 KiB 433K/s 00:04 [######################] 100%
    community 2.5 MiB 432K/s 00:06 [######################] 100%
    antergos 327.0 KiB 433K/s 00:01 [######################] 100%
    :: Starting full system upgrade…
    there is nothing to do
    [[email protected] keos]# pacman -S gnome-keyring
    resolving dependencies…
    looking for conflicting packages…

    Packages (3) gcr-3.14.0-1 libcap-ng-0.7.4-1 gnome-keyring-3.14.0-1

    Total Download Size: 1.49 MiB
    Total Installed Size: 9.40 MiB

    :: Proceed with installation? [Y/n] y
    :: Retrieving packages …
    gcr-3.14.0-1-x86_64 802.7 KiB 427K/s 00:02 [######################] 100%
    libcap-ng-0.7.4-1-x… 33.6 KiB 526K/s 00:00 [######################] 100%
    gnome-keyring-3.14… 690.1 KiB 431K/s 00:02 [######################] 100%
    (3/3) checking keys in keyring [######################] 100%
    (3/3) checking package integrity [######################] 100%
    (3/3) loading package files [######################] 100%
    (3/3) checking for file conflicts [######################] 100%
    (3/3) checking available disk space [######################] 100%
    (1/3) installing gcr [######################] 100%
    (2/3) installing libcap-ng [######################] 100%
    (3/3) installing gnome-keyring [######################] 100%
    [[email protected] keos]#

  • It’s marked in the image below…

    ❗Sorry, this attachment is unavailable.

  • I found the last step … but nothing happen. Thanks.

  • Now i have no audio (?)

  • Hi Keos,

    Maybe you activated pulseaudio? Install pavucontrol and run it. Check that your sound devices are not muted.

    Cheers!

  • Hi,

    Pulseaudio and pavucontrol were installed from the begining … volume is on 153%

  • Something is wrong, i don’t remember very well how it looks before but i’m sure it was not like this …

    [img:2q40i2gf]http://s26.postimg.org/q9fpj536d/Screenshot_170115_17_03_19.jpg[/img:2q40i2gf][/url:2q40i2gf]

  • am having the same issue with gparted on xfce:
    followed instructions with install gnome & add start up services…to no avail…

    well my work around is to open gparted with sudo in terminal…that works…

Posts 15Views 4342
Bloom Email Optin Plugin

Looks like your connection to Antergos Community Forum was lost, please wait while we try to reconnect.